Subject: Re: [PATCH v2] ci(win+Meson): build in Release mode

From: Patrick Steinhardt <[email-masked]>
Date: Mon, 5 May 2025 08:06:16 +0200

On Sat, May 03, 2025 at 02:25:46PM +0000, Johannes Schindelin via GitGitGadget wrote:
> From: Johannes Schindelin <[email-masked]>
>     Changes since v1:
>     
>      * Rewrote the commit message to reflect that this patch is still
>        needed, even if the symptom that originally motivated the patch was
>        addressed in a different manner, because it was merely a symptom of
>        the underlying root cause that CI builds should not let Visual C
>        build Git in debug mode.

Ok, makes sense. I think we should ideally address this issue
strategically, e.g. by getting rid of asserts completely in our
codebase. But for now I agree that we should just build Git in release
mode on Windows.

Thanks!

Patrick